Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jaspersoft.jasperserver.export.modules.repository.beans
Class ReportUnitBean

    java.lang.Object
      com.jaspersoft.jasperserver.export.modules.repository.beans.ResourceBean
          com.jaspersoft.jasperserver.export.modules.repository.beans.ReportUnitBean

    public class ReportUnitBean

extends ResourceBean

Version:
  $Id: ReportUnitBean.java 8545 2007-06-04 09:03:56Z lucian $
Author:
  tkavanagh

Constructor Summary
`ReportUnitBean()`

Method Summary
`protected void` | `additionalCopyFrom(Resource res, ResourceExportHandler exportHandler)`
`protected void` | `additionalCopyTo(Resource res, ResourceImportHandler importHandler)`
`byte` | `getControlsLayout()`
`ResourceReferenceBean` | `getDataSource()`
`java.lang.String` | `getInputControlRenderingView()`
`ResourceReferenceBean[]` | `getInputControls()`
`ResourceReferenceBean` | `getMainReport()`
`ResourceReferenceBean` | `getQuery()`
`java.lang.String` | `getReportRenderingView()`
`ResourceReferenceBean[]` | `getResources()`
`boolean` | `isAlwaysPromptControls()`
`void` | `setAlwaysPromptControls(boolean alwaysPromptControls)`
`void` | `setControlsLayout(byte controlsLayout)`
`void` | `setDataSource(ResourceReferenceBean dataSource)`
`void` | `setInputControlRenderingView(java.lang.String inputControlRenderingView)`
`void` | `setInputControls(ResourceReferenceBean[] inputControls)`
`void` | `setMainReport(ResourceReferenceBean mainReport)`
`void` | `setQuery(ResourceReferenceBean query)`
`void` | `setReportRenderingView(java.lang.String reportRenderingView)`
`void` | `setResources(ResourceReferenceBean[] resources)`

Methods inherited from class com.jaspersoft.jasperserver.export.modules.repository.beans.ResourceBean
`copyFrom, copyTo, getCreationDate, getDescription, getFolder, getLabel, getName, getPermissions, getVersion, handleReferences, handleReferences, setCreationDate, setDescription, setFolder, setLabel, setName, setPermissions, setVersion`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ReportUnitBean

    public ReportUnitBean()

Method Detail

### additionalCopyFrom

    protected void additionalCopyFrom(Resource res,
                                      ResourceExportHandler exportHandler)

  Specified by:
    `additionalCopyFrom` in class `ResourceBean`

### additionalCopyTo

    protected void additionalCopyTo(Resource res,
                                    ResourceImportHandler importHandler)

  Specified by:
    `additionalCopyTo` in class `ResourceBean`

### getDataSource

    public ResourceReferenceBean getDataSource()

### setDataSource

    public void setDataSource(ResourceReferenceBean dataSource)

### getQuery

    public ResourceReferenceBean getQuery()

### setQuery

    public void setQuery(ResourceReferenceBean query)

### getInputControls

    public ResourceReferenceBean[] getInputControls()

### setInputControls

    public void setInputControls(ResourceReferenceBean[] inputControls)

### getMainReport

    public ResourceReferenceBean getMainReport()

### setMainReport

    public void setMainReport(ResourceReferenceBean mainReport)

### getResources

    public ResourceReferenceBean[] getResources()

### setResources

    public void setResources(ResourceReferenceBean[] resources)

### isAlwaysPromptControls

    public boolean isAlwaysPromptControls()

### setAlwaysPromptControls

    public void setAlwaysPromptControls(boolean alwaysPromptControls)

### getControlsLayout

    public byte getControlsLayout()

### setControlsLayout

    public void setControlsLayout(byte controlsLayout)

### getInputControlRenderingView

    public java.lang.String getInputControlRenderingView()

### setInputControlRenderingView

    public void setInputControlRenderingView(java.lang.String inputControlRenderingView)

### getReportRenderingView

    public java.lang.String getReportRenderingView()

### setReportRenderingView

    public void setReportRenderingView(java.lang.String reportRenderingView)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.